Bug 457250 - F9 incompatible with AMD 690G chipset
F9 incompatible with AMD 690G chipset
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Gleixner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 10:58 EDT by Fehér János
Modified: 2009-07-14 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of the dmesg (35.40 KB, text/plain)
2008-07-30 10:58 EDT, Fehér János
no flags Details
output of the lshw (3.93 KB, application/x-gzip)
2008-10-25 16:13 EDT, Fehér János
no flags Details
output of the dmesg (7.85 KB, application/x-gzip)
2008-10-25 16:43 EDT, Fehér János
no flags Details

  None (edit)
Description Fehér János 2008-07-30 10:58:19 EDT
Description of problem:

I have F9 on two PC with AMD 690G chipset and F8 with the same chipset too. With
F8, there's no such problem. All the three comes from different vendors (ASUS,
MSI, Gigabyte), all of them has been updated to the latest BIOS version. The two
problematic PC has different CPU (4200+ and 4600+, not overclocked, boxed
modells), and one of them has PATA hdd and the other has SATA.

So what the same of the two problematic PC is F9 and the AMD 690G chipset.

There's 4 type of panics:

1) The PC getting slow, after few secs only the mouse cursor can move, the NIC
and the keyboard are disabled.

2) The PC getting slow, but it works for some minutes, then freezes. In this
type of panic I'm able to run a terminal and the last message of the dmesg is
always the following: "Clocksource tsc unstable (delta = x ns)"

3) The PC freezing, no error message.

4) The sound is service is dying, then 1) . From the /var/log/messages I find
the following:

BUG: soft lockup - CPU#1 stuck for 61s! [kswapd0:171]
Modules linked in: sunrpc dm_mirror dm_log dm_multipath dm_mod radeon drm ipv6 
snd_hda_intel snd_seq_dummy snd_seq_oss snd_s
eq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss arc4 snd_pcm 
ecb crypto_blkcipher snd_timer snd_page_alloc snd_hwdep ath5k snd sr_mod 
mac80211
 firewire_ohci firewire_core soundcore r8169 i2c_piix4 cfg80211 usb_storage 
cdrom crc_itu_t pcspkr serio_raw k8temp usblp hwmon i2c_core pata_atiixp ahci 
ext
3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Jul 27 04:59:48 pitypang kernel:
Pid: 171, comm: kswapd0 Not tainted (2.6.26-0.115.rc9.git2.fc10.i686 #1)
EIP: 0060:[<f8858de5>] EFLAGS: 00000206 CPU: 1
EIP is at journal_grab_journal_head+0x9/0x41 [jbd]
EAX: c1f0baf8 EBX: d3e13dd8 ECX: 00000000 EDX: d3e13dd8
ESI: f5f04430 EDI: c1f0baf8 EBP: f795fe28 ESP: f795fe28
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
CR0: 8005003b CR2: bf97edd0 CR3: 325f2000 CR4: 000006d0
DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
DR6: ffff0ff0 DR7: 00000400
 [<f885579e>] journal_try_to_free_buffers+0x36/0x108 [jbd]
 [<f88877f9>] ext3_releasepage+0x4b/0x54 [ext3]
 [<c046a8a4>] try_to_release_page+0x32/0x3f
 [<c0472d19>] __invalidate_mapping_pages+0x79/0xe1
 [<c0472d8b>] invalidate_mapping_pages+0xa/0xc
 [<c049ed06>] shrink_icache_memory+0xd2/0x1b0
 [<c0474332>] shrink_slab+0xda/0x134
 [<c04746c7>] kswapd+0x33b/0x43d
 [<c0473390>] ? isolate_pages_global+0x0/0x3e
 [<c043baab>] ? autoremove_wake_function+0x0/0x33
 [<c0420df8>] ? complete+0x34/0x3e
 [<c047438c>] ? kswapd+0x0/0x43d
 [<c043b84f>] kthread+0x3b/0x61
 [<c043b814>] ? kthread+0x0/0x61
 [<c0405913>] kernel_thread_helper+0x7/0x10
 =======================

Common effect: after the reboot, the NIC is not working. (It lies it's ok, but
cannot get IP from DHCP and via ifconfig). Only after the software reset
(shutdown -r from the terminal or from GUI) seems ok. This bug comes more
frequently under heavy load. Usually 3-4 times in 10 hours.


Version-Release number of selected component (if applicable):

Linux xxx 2.6.26-0.115.rc9.git2.fc10.i686 #1 SMP Mon Jul 7 22:35:42 EDT 2008
i686 athlon i386 GNU/Linux

and 

kernel-2.6.25.11-97.fc9

Output of the lspci:

00:00.0 Host bridge: ATI Technologies Inc RS690 Host Bridge
00:01.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (Internal 
gfx)
00:07.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express 
Port 3)
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 13)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] 
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] 
Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM 
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] 
Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS690 [Radeon X1200 
Series]
01:05.2 Audio device: ATI Technologies Inc Radeon X1200 Series Audio 
Controller
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI 
Express Gigabit Ethernet controller (rev 01)
03:00.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller 
(rev c0)
03:02.0 Ethernet controller: Atheros Communications Inc. AR2413 802.11bg NIC 
(rev 01)

I attached the output of the dmesg
Comment 1 Fehér János 2008-07-30 10:58:19 EDT
Created attachment 313003 [details]
Output of the dmesg
Comment 2 Fehér János 2008-07-30 11:02:32 EDT
I also turned the ACPI of, but doesn't help.
Comment 3 Fehér János 2008-07-31 04:01:06 EDT
I got this in a Kwrited window (for /dev/pts/1):

Message from syslogd@pitypang at Jul 31 09:19:42 ...
 kernel: Bad page state in process 'Xorg'

Message from syslogd@pitypang at Jul 31 09:19:42 ...
 kernel: page:c1184f80 flags:0x40000008 mapping:00000000 mapcount:0 count:8 (Not
tainted)

Message from syslogd@pitypang at Jul 31 09:19:42 ...
 kernel: Trying to fix it up, but a reboot is needed

Message from syslogd@pitypang at Jul 31 09:19:42 ...
 kernel: Backtrace:

I don't know it's relevant for the above, but might help.
Comment 4 Chuck Ebbert 2008-10-23 22:55:35 EDT
Is this fixed in the latest update? (2.6.26.6-79.fc9)
Comment 5 Fehér János 2008-10-25 15:56:36 EDT
Sadly no, but I have much less freezes. F10 also affected. I don't know this line in the dmesg is relevant or not:

powernow-k8: Your BIOS does not provide ACPI _PSS objects in a way that Linux understands. Please report this to the Linux ACPI maintainers and complain to your BIOS vendor.
powernow-k8: Your BIOS does not provide ACPI _PSS objects in a way that Linux understands. Please report this to the Linux ACPI maintainers and complain to your BIOS vendor.

I'm going to attach some dmesg and lshw info.
Comment 6 Fehér János 2008-10-25 16:03:33 EDT
With kernels version >= 2.6.26.6 the freezes are very rare (nearly once a week) but still present. After the reboot the "ethernet" NICs are dead, only after second software reboot "enables" them. The clocksource problem solved after I forced the timer to hpet.
Comment 7 Fehér János 2008-10-25 16:13:51 EDT
Created attachment 321528 [details]
output of the lshw
Comment 8 Fehér János 2008-10-25 16:43:48 EDT
Created attachment 321530 [details]
output of the dmesg
Comment 9 Bug Zapper 2009-06-09 22:18:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 12:37:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.